const lslib = function(db){

	try{
		if( typeof db == 'undefined' || !db){ throw {message : '`db` 값이 누락되었습니다.'}; }
	}
	catch(e){
		if(typeof e.message == 'undefined' || !e.message){ e.message = '사용할 수 없습니다.'; }
		alert(e.message);
		return {};
	}
	
	var obj = {
		db : db,
		load : false,
		items : new Array(),
		cache : {
			errmsg : new Array()
		},
		error : function(message,alt){
			var thisObj = this;
			thisObj.cache.errmsg.push(message);
			if( typeof alt != 'undefined' && alt === true){ alert(message); }
			return false;
		},
		init : function(){
			for(let i=0; i<localStorage.length; i++) {
			  let key = localStorage.key(i);
			  var value = localStorage.getItem(key);

			}
		},
		set : function(key,value){
			var thisObj = this;
			if( typeof key == 'undefined' || !key){ return thisObj.error('`key` 값이 누락되었습니다.');}
			if( typeof value == 'undefined' || !value){ value = {} }
			var setKey = '{'+thisObj.db+'}'+'{'+key+'}';
			var setValue = {db : thisObj.db,key : key, value : value};
			thisObj.remove(setKey);
			localStorage.setItem(setKey, JSON.stringify(setValue));
		},
		get : function(key,all){
			var thisObj = this;
			if( typeof key == 'undefined' || !key){ return thisObj.error('`key` 값이 누락되었습니다.');}
			var setKey = '{'+thisObj.db+'}'+'{'+key+'}';
			var setValue = {};
			var get = localStorage.getItem(setKey);

			if(get){setValue = JSON.parse(get);}
			else{ setValue = {db : thisObj.db,key : key, value : '' }; }

			if(typeof all !='undefined' || all === true){ return setValue; }
			else { return setValue.value; }
		},
		remove : function(key){
			var thisObj = this;
			if( typeof key == 'undefined' || !key){ return thisObj.error('`key` 값이 누락되었습니다.');}
			var setKey = '{'+thisObj.db+'}'+'{'+key+'}';
			localStorage.removeItem(setKey);
			return true;
		},
		clear : function(){},
		count : function(){},
	};

	// 최초 1회 실행해 준다. 
	obj.init();

	return obj;
}